#
# spec file for package ushare
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011, Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ushare
Version:        1.1a
Release:        lp151.2.3
Summary:        UPnP (TM) A/V Media Server
License:        GPL-2.0+
Group:          Productivity/Networking/File-Sharing
Url:            http://sourceforge.net/projects/ushare
Source:         http://downloads.sourceforge.net/ushare/ushare-%{version}.tar.bz2
Source2:        ushare.rc.suse
#Patch:          ushare-init_d-fix.patch
Patch1:         ushare-mts.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch2:         includes-fix.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch3:         types-fix.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch4:         upnp167-port.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch5:         write-warning-fix.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch6:         util_iconv.c.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch7:         ushare.conf.defs.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch8:         ushare.conf.locale.patch
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libupnp)
Requires(pre):  %insserv_prereq

%description
GeeXboX uShare is a UPnP (TM) A/V Media Server. It implements the server
component that provides UPnP media devices with information on available
multimedia files. uShare uses the built-in http server of libupnp to stream
the files to clients.

%prep
%setup -q
#%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6
%patch7
%patch8

%build
export CFLAGS="%{optflags} -fgnu89-inline"
export LDFLAGS="%{optflags}"
# not autotools configure
./configure --prefix=/usr --bindir=/usr/bin --sysconfdir=/etc --disable-strip --disable-optimize
make %{?_smp_mflags}

%install
%make_install
install -Dpm 755 %{SOURCE2} %{buildroot}%{_initddir}/ushare
install -d %{buildroot}%{_prefix}/sbin
ln -sf %{_initddir}/ushare %{buildroot}%{_sbindir}/rc%{name}
%find_lang %{name}

%preun
%{stop_on_removal ushare}

%postun
%insserv_cleanup

%post
%{fillup_and_insserv -f ushare}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_sbindir}/rc%{name}
%{_sysconfdir}/init.d/ushare
%config %{_sysconfdir}/ushare.conf

%changelog
* Sat Mar 11 2017 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
* Mon Feb 20 2017 kukuk@suse.de
- Require insserv since we call it
* Sat Jun 20 2015 meissner@suse.com
- ushare-init_d-fix.patch: removed unused patch
* Thu Jun 18 2015 crrodriguez@opensuse.org
- Force GNU inline semantics, fixes build with GCC5.
* Sat Oct 22 2011 saschpe@gmx.de
- Fixes for RPM behavior changes...
* Sun Oct  9 2011 saschpe@gmx.de
- Changed to SPDX-style license (GPL-2.0+)
- Added spec file license header
* Wed Feb 23 2011 subchaser1@gmail.com
- invalid path for rcushare symlink
* Wed Feb 23 2011 subchaser1@gmail.com
- locale added into config files and set it on start
* Wed Feb 23 2011 subchaser1@gmail.com
- startup scripts fixed
* Tue Dec 29 2009 jslaby@suse.de
- add mts support
* Tue Nov 10 2009 jslaby@suse.de
- fix build on 11.2
* Sat Aug 29 2009 jslaby@suse.de
- fix build warnings
* Sun Oct 26 2008 jslaby@suse.de
- Initial RPM release.
